<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import NotificationRightSidebar from "@/Components/Items/Notification/NotificationRightSidebar.vue";
import {Link} from "@inertiajs/vue3";

const props = defineProps({
    notifications:Object,
})

console.log(props.notifications);
</script>

<template>
    <AuthenticatedLayout>
        <div class="marketBottom__right marketBottom__noticationsAll">
            <div class="marketBottom__notifications">

                <div :class="{notReaden:!notification.is_check}"
                     v-for="notification in notifications"
                     :index="notification.id" class="marketBottom__notification ">
                    <div class="marketBottom__notification-icon">
                        <svg width="35" height="35" viewbox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M29.8639 5.12791C26.5562 1.8203 22.1683 0 17.4918 0C12.8152 0 8.42728 1.8203 5.11967 5.12791C-1.27357 11.5211 -1.71754 21.7548 4.01713 28.6586C3.45476 29.7907 2.55201 31.1078 1.21269 31.7664C0.568928 32.0846 0.206348 32.7727 0.317342 33.4831C0.428336 34.1934 0.975904 34.7484 1.68626 34.8594C2.01924 34.9112 2.49282 34.963 3.06998 34.963C4.6165 34.963 6.89557 34.6004 9.22643 32.9207C11.8237 34.3192 14.6651 35 17.4844 35C22.0129 35 26.497 33.2463 29.8713 29.8721C33.1789 26.5645 34.9992 22.1765 34.9992 17.5C34.9992 12.8235 33.1715 8.43552 29.8639 5.12791ZM28.4505 28.4588C23.4558 33.4535 15.7233 34.445 9.64081 30.871C9.24123 30.6342 8.74546 30.7082 8.42728 31.0264C8.39768 31.0412 8.36808 31.0634 8.34588 31.0856C6.3406 32.6395 4.37231 32.9651 3.06998 32.9651H3.06259C4.5647 31.87 5.51185 30.2421 6.06681 28.9767C6.15561 28.7622 6.17041 28.5402 6.11861 28.333C6.09641 28.1332 6.01502 27.9334 5.87442 27.7706C0.457934 21.6512 0.739118 12.3277 6.52559 6.54123C12.571 0.495772 22.4051 0.495772 28.4431 6.54123C34.496 12.5867 34.496 22.4133 28.4505 28.4588Z" fill="#FF5C00"></path>
                            <path d="M17.492 18.7284C18.1704 18.7284 18.7203 18.1784 18.7203 17.5001C18.7203 16.8217 18.1704 16.2717 17.492 16.2717C16.8136 16.2717 16.2637 16.8217 16.2637 17.5001C16.2637 18.1784 16.8136 18.7284 17.492 18.7284Z" fill="#FF5C00"></path>
                            <path d="M23.826 18.7284C24.5044 18.7284 25.0543 18.1784 25.0543 17.5001C25.0543 16.8217 24.5044 16.2717 23.826 16.2717C23.1476 16.2717 22.5977 16.8217 22.5977 17.5001C22.5977 18.1784 23.1476 18.7284 23.826 18.7284Z" fill="#FF5C00"></path>
                            <path d="M11.158 18.7284C11.8364 18.7284 12.3863 18.1784 12.3863 17.5001C12.3863 16.8217 11.8364 16.2717 11.158 16.2717C10.4796 16.2717 9.92969 16.8217 9.92969 17.5001C9.92969 18.1784 10.4796 18.7284 11.158 18.7284Z" fill="#FF5C00"></path>
                        </svg>
                    </div>
                    <p class="marketBottom__notification-title">{{ notification.description }}</p>
                    <Link class="marketBottom__notification-go noMobile" :href="notification.link">Перейти</Link>
                    <Link class="marketBottom__notification-go mobile" :href="notification.link">
                        <svg width="8" height="14" viewbox="0 0 8 14" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M0.999999 13L7 7L1 1" stroke="#FF5C00" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                        </svg>
                    </Link>
                </div>


            </div>
            <NotificationRightSidebar/>
            <div class="marketBottom__notifications-openClose mobile">
                <p class="marketBottom__notifications-title">Настройки</p>
                <svg width="10" height="6" viewbox="0 0 10 6" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1 1L5 5L9 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg>
            </div>
        </div>
    </AuthenticatedLayout>
</template>



